@font-face {
  font-family: bontenMedium;
  src: url(/assets/font/BentonSansMedium.otf);
}
@font-face {
  font-family: openSansRegular;
  src: url(/assets/font/OpenSansRegular.ttf);
}
body {
  font-size: 16px !important;
}
.subtitle {
  font-size: 12px;
  color: #919191;
}

.img-transfer {
  width: 100px;
  height: 100px;
  object-fit: scale-down;
}

.hide {
  display: none;
}

.modal-sm {
  width: 240px;
}

.message-icon-success {
  font-size: 50px;
  margin-bottom: 5px;
}

.full-width {
  width: 100% !important;
}
.dropdown-menu {
  width: 100% !important;
}

.zoom {
  transition: transform 0.2s;
}

.zoom:hover {
  -ms-transform: scale(2.5); /* IE 9 */
  -webkit-transform: scale(2.5); /* Safari 3-8 */
  transform: scale(2.5);
}

.wrap-text {
  white-space: normal !important;
}

.font-small {
  font-size: 12px !important;
}

img[data-action="zoom"] {
  cursor: pointer;
  cursor: -webkit-zoom-in;
  cursor: -moz-zoom-in;
}
.zoom-img,
.zoom-img-wrap {
  position: relative;
  z-index: 666;
  -webkit-transition: all 500ms;
  -o-transition: all 500ms;
  transition: all 500ms;
}
img.zoom-img {
  cursor: pointer;
  cursor: -webkit-zoom-out;
  cursor: -moz-zoom-out;
}
.zoom-overlay {
  z-index: 420;
  background: #fff;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  pointer-events: none;
  filter: "alpha(opacity=0)";
  opacity: 0;
  -webkit-transition: opacity 500ms;
  -o-transition: opacity 500ms;
  transition: opacity 500ms;
}
.zoom-overlay-open .zoom-overlay {
  filter: "alpha(opacity=100)";
  opacity: 1;
}
.zoom-overlay-open,
.zoom-overlay-transitioning {
  cursor: default;
}
#ui-datepicker-div {z-index:99999 !important;}

.display {
  /* background-color: #505050; */
  background-color: #0e1a2e;
}


/* Hide scrollbar for Chrome, Safari and Opera */
.display::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.display {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

.header-display {
  width: 101%;
  height: 120px;
  padding-left: 30px;
  padding-right: 30px;
  background-color: white;
  position: fixed;
  top: 0px;
  right: 0px;
  left: 0px;
}

.header-display-icon {
  display: flex;
  align-items: center;
}

.calendar-view {
  /*display: flex;*/
  /*align-items: end;*/
  /*justify-content: center;*/
  /*flex-direction: column;*/
}

.calendar-view #clock {
    color: #0e1a2e;
    font-size: 48px;
    margin-top: 14px;
    font-weight: bold;
}

.calendar-view #date {
  margin-top: -36px;
    color: #0e1a2e;
    font-size: 18px;
}

.container-status {
  display: flex;
  align-items: center;
  justify-content: center;
}
.item-status {
  display: flex;
  height: 76px;
  width: 76px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  /* cursor: pointer; */
  margin-left: 8px;
  margin-right: 8px;
  background-color: #0e1a2e !important;
}
.status-to-do {
  background-color:#17a2b8;
  color: white;
}
.status-progress {
  background-color: #28a745;
  color: white;
}
.status-done {
  background-color: #007bff;
  color: white;
}
.status-cancel {
  background-color: #ffc107;
  color: white;
}
.status-overdue {
  background-color: #dc3545;
  color: white;
}
.status-urgent {
  background-color: #dc3545;
  color: white;
}
.status-return {
  background-color: #dc3545;
  color: white;
}
.status-ready-stock {
  background-color: #dc3545;
  color: white;
}
.status-qc {
  background-color: #dc3545;
  color: white;
}
.status-ready-deliver {
  background-color: #dc3545;
  color: white;
}
.item-status #total {
  font-size: 32px;
  font-weight: bold;
}
.item-status #status {
  font-size: 12px;
  text-align: center;
}

.thead-black {
  background-color: #f1f1f1;
  color: #0e1a2e;
}


.tbody-black {
  background-color: #0e1a2e;
  color: #ffffff;
  overflow-y: auto;
  width: 100%;
}

.table-view {
  margin-bottom: 36px;
}

.middle {
  vertical-align: middle !important;
}


.footer {    
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 52px;
  background-color: #f1f1f1;
  color: #0e1a2e;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-top-border {
  height: 28px;
    background-color: #0e1a2e;
    width: 100%;
    margin-top: 7px;
}

.footer-marquee {
  margin-top: 10px;
}

.text-centered {
  text-align: center;
}

.loading-image {
  width: 110px;
}

.btn-confirmation-ok {
  width: 100%;
}

.modal-message {
  margin-top: 25px;
  margin-bottom: 25px;
}

.handle-header {
  height: 120px;
}

.text-footer-marquee {
  font-weight: bold;
}

/* .header-fixed {
    width: 100% 
}

.header-fixed > thead,
.header-fixed > tbody,
.header-fixed > thead > tr,
.header-fixed > tbody > tr,
.header-fixed > thead > tr > th,
.header-fixed > tbody > tr > td {
    display: block;
}

.header-fixed > tbody > tr:after,
.header-fixed > thead > tr:after {
    content: ' ';
    display: block;
    visibility: hidden;
    clear: both;
}

.header-fixed > tbody {
    overflow-y: auto;
    height: 150px;
}

.header-fixed > tbody > tr > td,
.header-fixed > thead > tr > th {
    width: 7.6%;
    float: left;
} */

.pointer {
  cursor: pointer;
}

 
.suggestion-list {
  list-style: none;
  padding: 0px;
  width: 100%;
  border-radius: 3px;
  z-index: 1;
  position: absolute;
}
 
 .suggestion-list li{
  margin-right: 15px;
  background: lavender;
  padding: 4px;
 }
 
 .suggestion-list  li:nth-child(even){
  background: cadetblue;
  color: white;
 }
 
 .suggestion-list  li:hover{
  cursor: pointer;
 }
 ul.ui-autocomplete {
  z-index: 1100;
}

.modal-success-message {
  margin-top: 30px;
  margin-bottom: 30px;
}

.modal-information-message {
  margin-top: 30px;
  margin-bottom: 30px;
}

.modal-button-confirmed {
  width: 100%;
}

.marquee {
  width: 100%;
  line-height: 50px;
  background-color: #dee2e6;
  color: #0e1a2e;
  white-space: nowrap;
  overflow: hidden;
  box-sizing: border-box;
}
.marquee p {
  font-size: 28px;
  display: inline-block;
  padding-left: 100%;
  animation: marquee 25s linear infinite;
  font-weight: bold;
}
@keyframes marquee {
  0%   { transform: translate(0, 0); }
  100% { transform: translate(-100%, 0); }
}

.login-body {
  overflow: hidden;
}

.auth-container {
  padding: 56px 80px 56px 80px;
  background-color: #222734;
  height: 100vh;
}

.login-container {
  height: 100%;
}

.login-form-container {
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: white;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  height: 100%;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;    
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
  background-image: linear-gradient(to bottom left, #4f596a, #222734);
}
@media (max-width: 1000px) {

  .auth-container {
    padding: 30px 30px 30px 30px;
    background-color: #222734;
    height: 100vh;
    border: 0px;
  }
  .login-form-container {   
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: white;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100%;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;    
    border-radius: 16px;
    border: 0px;
    background-image: linear-gradient(to bottom left, #4f596a, #222734);
  }
}

.login-welcome-container {
  height: 100%;
  width: 100%;
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url('/assets/images/bg-login3.jpg');
  background-position: center;
  background-size: cover;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;    
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
}

.login-box-msg {
  color: white;
}

.login-logo, .register-logo {
  margin-bottom: 30px;
}

.login-box, .register-box {
  width: 269px;
}

.login-bottom-link {
  text-align: center;
  margin-top: 12px;
}

.login-bottom-link a {
  color: #fff;
}

.login-welcoming {
  text-align: center;
  color: white;
  vertical-align: middle;
  width: 60%;
}

.login-welcoming h2 {
  font-family: Calibri;
}

.login-welcoming hr {
  width: 100px;
  height: 4px;
  background-color: #007bff;
  border-radius: 15px;
  margin-top: 10px;
  margin-bottom: 30px;
}

.login-welcoming p {
  font-family: bontenMedium;
}

@media only screen and (max-device-width: 640px) {
  .login-welcome-container {
    display: none;
  }
}
  
@media only screen and (max-device-width: 768px) {
  .login-welcome-container {
    display: none;
  }
}

.placeholder-red {
  background-color: red;
  height: 100vh;
  width: 100%;
}
.placeholder-blue {
  background-color: blue;
  height: 100vh;
  width: 100%;
}

.btn-sma, .btn-sma:hover, .btn-sma:active, .btn-sma:visited, .btn-sma:focus, .btn-sma:focus-visible {
  background-color: #0e1a2e !important;
  border-color: #0e1a2e !important;
  color: white;
  box-shadow: none;
}
/* .btn-secondary {
  color: #212529 !important;
  background-color: #e3e3e3 !important;
  border-color: #dfdfdf !important;
}
.btn-secondary:hover {
  color: #fff !important;
  background-color: #6c757d !important;
  border-color: #6c757d !important;
} */

.modal-pdf {
  width: 90% !important;
  max-width: 100% !important;
  height: 100% !important;
  max-height: 100% !important;
}

.modal-content-pdf {
  /* height: 100%; */
}

.modal-body-pdf {
  margin: -1rem;
}

.btn-sma:not(:disabled):not(:disabled):active {
  background-color: #0e1a2e !important;
} 

.brand-image-side {
  height: 33px;
  margin-top: -7px;
}

nav .nav-sidebar>.nav-item>.nav-link.active {
  background-color: #e7e8ea !important;
  color: #0e1a2e !important;
}

.select2-materials-title {
  font-weight: bold !important;
}

.select2-materials-specification {
  font-size: 12px;
}

.select2-materials-image img {
  display: block;
  height: auto;
  max-width: 80%;
  position: absolute;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.text-right {
  text-align: end;
  margin-bottom: 0px;
}

.pdf-preview-icon {
  width: 120px;
  height: 126px;
  border: #dddddd 1px solid;
  border-radius: 6px;
  margin-bottom: 10px;
}

.pdf-preview-icon-icon {
  padding-top: 10px;
}

.pdf-preview-icon-icon img {
  display: table;
  margin: 0 auto;
  width: 66px;
}

.pdf-preview-icon-action {
  height: 38px;
  background-color: #f5f5f5;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  margin-top: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.pdf-action {
  background-color: #6b6b70;
  color: white;
  margin-left: 2px;
  margin-right: 2px;
  cursor: pointer;
  padding: 6px;
  border-radius: 3px;
}

@media only screen and (max-device-width: 640px) {
  .select2-materials-image img {
    display: none;
  }
}

.timeline::before {
  width: 2px !important;
  top: 10px !important;
  bottom: 10px !important;
}

.timeline>div>.dot {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  font-size: 16px;
  position: absolute;
  text-align: center;
  top: 8px;
  height: 20px !important;
  left: 22px !important;
  line-height: 20px !important;
  width: 20px !important;
  color: white;
  background-color: white !important;
  border-color: #adb5bd;
  border: #dce0e3 solid 1px;
}

.timeline>div>.dot:before {
  content: " ";
  background: #687178;
  border-radius: 50%;
  height: 4px;
  width: 4px;
}

.timeline>div>.timeline-item-history {
  box-shadow: 0 0 0px rgb(0 0 0 / 13%), 0 0px 0px rgb(0 0 0 / 20%) !important;
}

.timeline>div>.timeline-item>.timeline-header {
 border-bottom: 0px !important; 
}

.timeline-load-more {
  color: #007bff !important;
  cursor: pointer;
  font-weight: bold;
}

.table thead th {
  vertical-align: bottom;
  border-bottom: 2px solid #dee2e6;
  font-size: 14px;
  background-color: #434c5c;
  border-color: #434c5c !important;
  color: white !important;
  padding-top: 0px;
  padding-bottom: 0px;
  padding-left: 3px;
  padding-right: 3px;
}

.table tfoot th {
  vertical-align: bottom;
  border-bottom: 2px solid #dee2e6;
  font-size: 14px;
  background-color: #d7d7d7;
  padding-top: 0px;
  padding-bottom: 0px;
  padding-left: 3px;
  padding-right: 3px;
}

table.dataTable td, table.dataTable th {
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
  font-size: 14px;
  padding-top: 0px;
  padding-bottom: 2px;
  padding-left: 3px;
  padding-right: 3px;
}

.table td, .table th {
  vertical-align: middle !important;
}

.label-placeholder {
  color: #ffffff00;
}

table.dataTable>thead .sorting:before, table.dataTable>thead .sorting:after, table.dataTable>thead .sorting_asc:before, table.dataTable>thead .sorting_asc:after, table.dataTable>thead .sorting_desc:before, table.dataTable>thead .sorting_desc:after, table.dataTable>thead .sorting_asc_disabled:before, table.dataTable>thead .sorting_asc_disabled:after, table.dataTable>thead .sorting_desc_disabled:before, table.dataTable>thead .sorting_desc_disabled:after {
  bottom: 0 !important;
}

.action-page-container {
  margin-bottom: 10px;
}

/* .form-control {
  background-color: #efefef !important;
  border: 1px solid #efefef !important;
}

.form-control:focus {
  background-color: #efefef !important;
  border: 1px solid #d1d1d1 !important;
} */

/* .select2-container--default .select2-selection--single {
  border: 0px solid #ced4da !important;
  background-color: #efefef !important;
} */

/* .btn.btn-flat-default {
  border-radius: 5px;
  box-shadow: none;
  background-color: #efefef;
} */

.label-light {
  font-weight: 400 !important;
}

.brand-link {
  /* background-color: #ffffff; */
  /* background-image: linear-gradient(red, yellow); */
}
[class*=sidebar-dark-] {
  background-color: #0e1a2e !important;
}

.error {
  color: red;
  font-weight: normal !important;
}

.goods-image-preview {
  width: 120px;
}

.item-status.active {
  background-color: #003b9c !important;
}

.custom-control-label.light {
  font-weight: 500 !important;
}

.divider-form {
  font-weight: bold;
  border-top: 0.5px solid #00000024;
  padding-top: 10px;
}

.po-chart {
  min-height: 650px; 
  height: 650px; 
  max-height: 650px; 
  max-width: 100%;
}

.navbar-black {
  background-color: #0e1a2e !important;
}

.required:after {
  content:" *";
  color: red;
}
.note-editor .note-editable {
  line-height: 1;
}

.approved {
  background-color: #dff0d8 !important;
}

.rejected {
  background-color: #ff00002b !important;
}

.approval-label {
  margin-left: 10px;
  font-style: italic;
  font-size: 12px;
}

.bold {
  font-weight: bold;
}

.balance-due {
  font-weight: bold;
  font-size: 24px;
}

#section-overpaid td {
  color: red;
}

#image-preview {   
  max-width: 300px;
  border: 2px solid #ececec;
  border-radius: 8px;
  /* padding: 16px; */
  max-height: 190px;
}

.right {
  text-align: right;
}

.text-status {
  font-size: 24px;
  font-style: italic; 
  color: #747474;
}

.content-header {
  /* background-color: #d5d5d5; */
  /* margin-bottom: 16px; */
}

.box-summary {
  background-color: white;
  margin-bottom: 1em;
}

.box-summary.attention h3 {
  border-top-color: #f9e8a0;
  background: #f9e8a0;
}

.box-summary.overdue h3 {
  border-top-color: #f8c9c4;
  background: #f8c9c4;
}

.box-summary.settled h3 {
  border-top-color: #c7e6c7;
  background: #c7e6c7;
}

.box-summary>h3.elipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 50px;
}
span.label {
  display: inline;
  padding: 0.2em 0.6em 0.3em;
  font-size: 75%;
  font-weight: bold;
  line-height: 1;
  color: #fff;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: 0.25em;
}

.label-warning {
  background-color: #f0ad4e;
}

.label-danger {
  background-color: #d9534f;
}

.label-success {
  background-color: #5cb85c;
}

.box-summary>h3 {
  border-top: 4px solid;
  position: relative;
  font-size: 1.1em;
  padding: 0.9em;
  padding: 1rem;
}
.box-summary>h3, .box-summary>h4 {
  margin: 0;
  color: #333;
}
.box-summary>h3>.label {
  position: absolute;
  top: 0.9em;
  top: 1rem;
  right: 0.9em;
  right: 1rem;
}
.box-summary>h4 {
  font-size: 1.4em;
  white-space: nowrap;
  background: white;
  padding: 0.45em;
  padding: 1rem;
}
.box-summary>h4 a {
  display: block;
}
.box-summary>h4 a {
  color: #333;
}
@media only screen and (max-width: 1199px) {
  .box-summary>h4 {
      font-size: 1.8em;
  }
}
.box-summary>h4>a>small, .box-summary>h4>small {
  font-size: 0.4em;
  display: block;
}

.spacer {
  margin-top: 18px;
}

.valign-top {
  vertical-align: top !important;
}

.remaining-item {
  font-style: italic;
  font-size: 12px;
}

#th-check {
  padding-left: 0.75rem;
}
/* .main-sidebar {
    margin: 22px;
    border-radius: 15px;
    height: 94% !important;
    min-height: 94% !important;
}

@media (min-width: 768px) {
  body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .content-wrapper, body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-footer, body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-header {
      margin-left: 295px ;
  }
}

@media (min-width: 992px) {
  .sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse .main-header {
      margin-left: 4.6rem;
  }
}*/
.select2-container .select2-selection--single {
  height: calc(2.25rem + 2px) !important;
}
.select2-container--default .select2-selection--single {
  border: 1px solid #ced4da !important;
} 

.alert-warning.soft {
  color: #1f2d3d;
  background-color: #fffaeb;
  border-color: #ffdd59;
}